* {
    font-family: Arial, Helvetica, sans-serif;
    font-family: poppins, sans-serif;
    font-weight: 400;
}

body {
    margin: 0;
}

main {
    width: 100vw;
    height: 100vh;
    padding-bottom: 200px;
}

.container { /* holds everything but CHAT */
    position: fixed;
    left: 0;
    top: 0;
    width: 80%;
}


.guessBox-container {
    display: flex;
    width: 100%;
    justify-content: center;
    align-content: center;
    margin: auto;
}

.guessBox {
    flex: 1;
    max-width: 75px;
    height: 100px;
    margin: 5% 2%;
    /* background: transparent; */
    background: rgba(104,96,230,.2);
    /* border-bottom: 5px solid rgb(104,96,230); */
    border-radius: 5px;
    box-shadow: -1px -1px 5px 2px rgba(0, 0, 0, 0.075);
}


#keyboard {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-around;
    align-items: center;
    margin: 2% auto;
    width: 80%;
    margin-bottom: 20%;
    padding: 2%;
    /* background: #cecece; */
    background: rgba(104,96,230,.2);
    /* background: rgba(255,65,22,.2); */
    border-radius: 20px;
    /* box-shadow: -1px -1px 10px 2px rgba(0, 0, 0, 0.1); */
    box-shadow: 1px 1px 10px 2px rgba(0, 0, 0, 0.1);
}

.lettbtn { 
    flex: 1;
    max-width: 100px;
    display: inline-block;
    margin: 10px;
    padding: 0px 20px;
    /* padding-bottom: 5px; */
    text-align: center;
    line-height: 3rem;
    font-size: 24pt;
    font-weight: 400;
    text-decoration: none;
    /* background: #4343FF; */
    background: rgb(255,65,22);
    /* background: linear-gradient(0deg, rgba(255,65,22,1) 0%, rgb(224, 56, 19) 100%);  */
    /* background: linear-gradient(0deg, rgba(104,96,230,1)0%, rgb(86, 78, 189) 100%);  */
    /* background: linear-gradient(0deg, rgba(255,65,22,1) 0%, rgba(104,96,230,1) 100%);  */
    color: #fff;
    border: none;
    border-radius: 5px;
    box-shadow: -1px -1px 10px 2px rgba(0, 0, 0, 0.2);
    transition: .3s ease;
}

.lettbtn:hover {
    box-shadow: 1px 1px 10px 5px rgba(0, 0, 0, 0.25);
    font-size: 26pt;
    transform: scale(1.002, 1.002);
}

.lettbtn:disabled, .lettbtn-disabled {
    color: #8d8d8d;
    background-color: #686868;
}

#chatRoom {
    position: fixed;
    top: 0;
    right: 0;
    width: 20%;
    padding: 2%;
    min-width: 200px;
    height: 100%;
    background-color: #fff;
    /* box-shadow: 0 1px 10px 5px rgba(0, 0, 0, 0.075); */
    box-shadow: -1px -1px 10px 2px rgba(0, 0, 0, 0.075);
}

.chat-container {
    height: 80%;
    overflow-y: scroll;
}

#chat-container h4 {
    margin-bottom:0;
    font-size: .9rem;
    color: rgba(0, 0, 0, 0.5);
} 

.player1-handle {
    text-align: right;
}

.speechBubble {
    margin: 2% auto;
    margin-top: 0;
    padding: 10px;
    max-width: 80%;
    font-weight: 400;
    border-radius: 10px;
    box-shadow: inset 0 1px 10px 5px rgba(255, 255, 255, 0.075);
    /* box-shadow:  0 1px 10px 5px rgba(0, 0, 0, 0.075); */
}

.speechBubble-host {
    background: rgb(255,65,22); /* system default */
    background: linear-gradient(90deg, rgba(255,65,22,.8) 0%, rgba(104,96,230,.8) 100%); 
    margin-left: 15%;
    border-bottom-left-radius: 0px;
    color: #fff;
}

.speechBubble-challenger {
    background-color: #ededed;
    margin-right: 15%;
    border-bottom-right-radius: 0px;
    color: black;
}

.speechBubble-system {
    background-color: rgba(255,65,22, .3);
    /* border: solid 3px rgb(255,65,22); */
    border-radius: 5px;
    margin-right: 15%;
    color: rgb(255,65,22);
}

#msg-input-container {
    /* background-color: rgba(255,65,22,.3); */
    /* background: rgba(104,96,230,.3); */
    padding: 2%;
    display: flex;
    flex-flow: row row-reverse;
    justify-content: space-between;
    background-color: rgba(255,65,22,0.05);
    box-shadow: -1px -1px 10px 2px rgba(0, 0, 0, 0.075);
}

#msg-input-field {
    box-shadow: -1px -1px 10px 1px rgba(0, 0, 0, 0.2);
    border: unset;
    /* border: 1px solid rgba(104,96,230,.3); */
    /* border: 1px solid rgba(255,65,22,.3); */
    width: 70%;
    min-width: 100px;
    /* height: 15%; */
    font-size: 1.15rem;
    padding: 1%;
    padding-left: 15px;
    border-radius: 20px;
}

[type=submit] {
    float:right;
    background-color: rgb(255,65,22);
    /* border: solid 3px rgb(255,65,22); */
    border: solid 1px rgb(255,65,22, 0);
    border-radius: 20px;
    padding: 5px 15px;
    font-size: 1rem;
    font-weight: 400;
    color: #fff;
}


@media only screen and (max-width: 900px) {
    #chatRoom {
        top: unset;
        bottom: 0;
        height: 30%;
        width: 100%;
        padding-bottom: 20px;
        padding-right: 10px;
        padding-left: 10px;
    }#chat-container h4{
        padding-left: 30px;
    }.player1-handle {
        padding-right: 30px;
    }

    .container {
        width: 100%;
    }
}

@media only screen and (max-width: 400px) {
    main {
        padding-bottom: 0;
    }

    .container{
        position: unset;
    }

    .guessBox {
        flex: 1;
        max-width: 40px;
        height: 50px;
        margin: 1%;
        margin-top: 20px;
        box-shadow: -1px -1px 5px 1px rgba(0, 0, 0, 0.1);
    }
    
    #keyboard {
        margin-top: 30px;
        width: 80%;
        box-shadow: 1px 1px 5px 1px rgba(0, 0, 0, 0.1);
    }
    
    .lettbtn { 
        min-width: 30px;
        margin: 5px;
        padding: 0 10px;
        /* line-height: 3rem; */
        font-size: 16pt;
    }

    .lettbtn:hover {
        box-shadow: 1px 1px 10px 5px rgba(0, 0, 0, 0.25);
        font-size: 18pt;
    }
    

    #chatRoom {
        width: 100vw;
        height: 250px;
        padding: 0;
    }

    #chat-container {
        height: 70%;
        overflow-y: scroll;
        padding: 0 4%;
    }

    #chat-container h4 {
        margin-top: 10px;
    }
    
    .player1-handle {
        margin-top: 0;
    }

    .speechBubble-system:last-of-type{
        margin-bottom: 30px;
    }

    #msg-input-container {
        height: 20%;
        padding-top: 3%;
        padding-bottom: 3%;
    }

    [type=submit]{
        padding: 5px 10px;
    }
}